<?php

	/*
	*	Gekko - Open Source Web Development Framework
	*	------------------------------------------------------------------------
	*	Copyright (C) 2004-2005, J. Carlos Nieto <xiam@users.sourceforge.net>
	*	This program is Free Software.
	*
	*	@package	Gekko
	*	@license	http://www.gnu.org/copyleft/gpl.html GNU/GPL License 2.0
	*	@author		J. Carlos Nieto <xiam@users.sf.net>
	*	@version	CVS: $Id:$
	*	@link		http://gekkoware.sourceforge.net
	*/

	if (!defined("IN-GEKKO")) die("Get a life!");

	Class GekkoModule_Admin {
		function create_menu() {
			menuAddLink(2, _l("L_MANAGEMENT"), "%index%/index.php/admin", "admin.png", "#");
			return true;
		}
		function configure() {

		}
		function install() {
			modCore::registerModule($GLOBALS["cgdb"]["admin"], "admin", "#", $GLOBALS["cgdb"]["admin"]);
		}
		function uninstall() {

		}
		function upgrade($provided_v) {

		}
		/*
			this function will be called whe uninstalling an external module
			that depends on this one
		*/
		function ext_uninstall($module) {

		}
	}
?>